# Interface PBEKey

All Superinterfaces:
  `Destroyable, Key, SecretKey, Serializable`

public interface PBEKey extends SecretKey
The interface to a PBE key.

Since:
  1.4
See Also:
  - `PBEKeySpec`
  - `SecretKey`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final long`
  `serialVersionUID`
  Deprecated.
  A `serialVersionUID` field in an interface is ineffectual.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getIterationCount()`
  Returns the iteration count or 0 if not specified.
  `char[]`
  `getPassword()`
  Returns the password.
  `byte[]`
  `getSalt()`
  Returns the salt or null if not specified.

  ### Methods declared in interface Destroyable

  `destroy, isDestroyed`
  Modifier and Type
  Method
  Description
  `default void`
  `destroy()`
  Destroy this `Object`.
  `default boolean`
  `isDestroyed()`
  Determine if this `Object` has been destroyed.

  ### Methods declared in interface Key

  `getAlgorithm, getEncoded, getFormat`
  Modifier and Type
  Method
  Description
  `String`
  `getAlgorithm()`
  Returns the standard algorithm name for this key.
  `byte[]`
  `getEncoded()`
  Returns the key in its primary encoding format, or `null` if this key does not support encoding.
  `String`
  `getFormat()`
  Returns the name of the primary encoding format of this key, or `null` if this key does not support encoding.

- ## Field Details

  - ### serialVersionUID

    @Deprecated static final long serialVersionUID
    Deprecated.
    A `serialVersionUID` field in an interface is ineffectual. Do not use; no replacement.
    The class fingerprint that is set to indicate serialization compatibility since J2SE 1.4.
    See Also:
      - Constant Field Values

- ## Method Details

  - ### getPassword

    char[] getPassword()
    Returns the password.

    Note: this method should return a copy of the password. It is the caller's responsibility to zero out the password information after it is no longer needed.

    Returns:
      the password.

  - ### getSalt

    byte[] getSalt()
    Returns the salt or null if not specified.

    Note: this method should return a copy of the salt. It is the caller's responsibility to zero out the salt information after it is no longer needed.

    Returns:
      the salt.

  - ### getIterationCount

    int getIterationCount()
    Returns the iteration count or 0 if not specified.
    Returns:
      the iteration count.